Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.registry
Class TransformCriteria

    java.lang.Object
      org.mule.api.registry.TransformCriteria

    public class TransformCriteria

extends Object

A bean that holds information about a transformer to be discovered in the Registry. `TransformerResolver` instances will use some or all of this information to select a transformer that matches the criteria.

Constructor Summary
`TransformCriteria()`
`TransformCriteria(Class[] inputTypes, Class outputType, String[] inboundMimeTypes, String outboundMimeType)`

Method Summary
`String[]` | `getInboundMimeTypes()` Not currently supported by the Mule 3.0 api
`Class[]` | `getInputTypes()`
`String` | `getOutboundMimeType()` Not currently supported by the Mule 3.0 api
`Class` | `getOutputType()`
`void` | `setInboundMimeTypes(String[] inboundMimeTypes)` Not currently supported by the Mule 3.0 api
`void` | `setInputTypes(Class[] inputTypes)`
`void` | `setOutboundMimeType(String outboundMimeType)` Not currently supported by the Mule 3.0 api
`void` | `setOutputType(Class outputType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformCriteria

    public TransformCriteria()

### TransformCriteria

    public TransformCriteria(Class[] inputTypes,
                             Class outputType,
                             String[] inboundMimeTypes,
                             String outboundMimeType)

Method Detail

### getInputTypes

    public Class[] getInputTypes()

### setInputTypes

    public void setInputTypes(Class[] inputTypes)

### getOutputType

    public Class getOutputType()

### setOutputType

    public void setOutputType(Class outputType)

### getInboundMimeTypes

    public String[] getInboundMimeTypes()

  Not currently supported by the Mule 3.0 api

### setInboundMimeTypes

    public void setInboundMimeTypes(String[] inboundMimeTypes)

  Not currently supported by the Mule 3.0 api

### getOutboundMimeType

    public String getOutboundMimeType()

  Not currently supported by the Mule 3.0 api

### setOutboundMimeType

    public void setOutboundMimeType(String outboundMimeType)

  Not currently supported by the Mule 3.0 api

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.